LibOFX: cmdline.h Source File

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ofxdump/cmdline.h

    00001 /* cmdline.h */
    00002
    00003 /* File autogenerated by gengetopt version 2.13  */
    00004
    00005 #ifndef CMDLINE_H
    00006 #define CMDLINE_H
    00007
    00008 /* If we use autoconf.  */
    00009 #ifdef HAVE_CONFIG_H
    00010 #include "config.h"
    00011 #endif
    00012
    00013 #ifdef __cplusplus
    00014 extern "C" {
    00015 #endif /* __cplusplus */
    00016
    00017 #ifndef CMDLINE_PARSER_PACKAGE
    00018 #define CMDLINE_PARSER_PACKAGE PACKAGE
    00019 #endif
    00020
    00021 #ifndef CMDLINE_PARSER_VERSION
    00022 #define CMDLINE_PARSER_VERSION VERSION
    00023 #endif
    00024
    00025 struct gengetopt_args_info
    00026 {
    00027   char * import_format_arg;     /* Force the file format of the file(s) specified (default='AUTODETECT').  */
    00028   int msg_parser_flag;  /* Output file parsing messages (default=off).  */
    00029   int msg_debug_flag;   /* Output messages meant for debuging (default=off).  */
    00030   int msg_warning_flag; /* Output warning messages about abnormal conditions and unknown constructs (default=on).  */
    00031   int msg_error_flag;   /* Output error messages (default=on).  */
    00032   int msg_info_flag;    /* Output informational messages about the progress of the library (default=on).  */
    00033   int msg_status_flag;  /* Output status messages (default=on).  */
    00034
    00035   int help_given ;      /* Whether help was given.  */
    00036   int version_given ;   /* Whether version was given.  */
    00037   int import_format_given ;     /* Whether import-format was given.  */
    00038   int list_import_formats_given ;       /* Whether list-import-formats was given.  */
    00039   int msg_parser_given ;        /* Whether msg_parser was given.  */
    00040   int msg_debug_given ; /* Whether msg_debug was given.  */
    00041   int msg_warning_given ;       /* Whether msg_warning was given.  */
    00042   int msg_error_given ; /* Whether msg_error was given.  */
    00043   int msg_info_given ;  /* Whether msg_info was given.  */
    00044   int msg_status_given ;        /* Whether msg_status was given.  */
    00045
    00046   char **inputs ; /* unamed options */
    00047   unsigned inputs_num ; /* unamed options number */
    00048 } ;
    00049
    00050 int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
    00051 int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);
    00052
    00053 void cmdline_parser_print_help(void);
    00054 void cmdline_parser_print_version(void);
    00055
    00056 void cmdline_parser_init (struct gengetopt_args_info *args_info);
    00057 void cmdline_parser_free (struct gengetopt_args_info *args_info);
    00058
    00059 int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);
    00060
    00061
    00062 #ifdef __cplusplus
    00063 }
    00064 #endif /* __cplusplus */
    00065 #endif /* CMDLINE_H */